Google Web Toolkit
Search Google Code:

# Interface ServiceDefTarget

public interface ServiceDefTarget
An interface implemented by client-side RPC proxy objects. Cast the object returned from GWT.create(Class) on a RemoteService should be cast to this interface to initialize the target URL for the remote service.

## Nested Classes

ServiceDefTarget.NoServiceEntryPointSpecifiedException | This exception is thrown when a service is invoked without ServiceDefTarget.setServiceEntryPoint(String) having been called.

## Methods

getServiceEntryPoint() | Gets the URL of a service implementation.
setServiceEntryPoint(String) | Sets the URL of a service implementation.

## Method Detail

### getServiceEntryPoint

public String getServiceEntryPoint()
Gets the URL of a service implementation.

#### Return Value

the last value passed to setServiceEntryPoint(String)

### setServiceEntryPoint

public void setServiceEntryPoint(String address)
Sets the URL of a service implementation.

#### Parameters

address
  a URL that designates the service implementation to call